
TYPO3.Flow - Bug # 25609

Status: Resolved Priority: Should have
Author: Bastian Waidelich Category: MVC - Routing
Created: 2011-04-01 Assigned To: Bastian Waidelich
Updated: 2011-04-19 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Router should skip routes if the target controller does not exist
Description

The Router should check if the Controller exists. If not, the route should be skipped when resolving route values.
Furthermore, if no route matches, an exception should be thrown.

Associated revisions
Revision 894d3b26 - 2011-04-19 12:37 - Bastian Waidelich

[BUGFIX] Router skips routes if the target controller does not exist

The Router now checks if the target controller exists. If not, the route
is skipped when resolving route values.

Furthermore, if no route matches, an exception is thrown.

Thanks to Snowflake for sponsoring 260 beers during the bug auction on
T3BOARD11!

Change-Id: I3bdff3dcd4384af088f3859d5640ad07d33a732d
Fixes: #25609

History
#1 - 2011-04-01 01:29 - Mr. Hudson

Patch set 1 of change I3bdff3dcd4384af088f3859d5640ad07d33a732d has been pushed to the review server.
It is available at http://review.typo3.org/1387

#2 - 2011-04-01 01:32 - Mr. Hudson

Patch set 2 of change I3bdff3dcd4384af088f3859d5640ad07d33a732d has been pushed to the review server.
It is available at http://review.typo3.org/1387

#3 - 2011-04-01 11:59 - Mr. Hudson

Patch set 3 of change I3bdff3dcd4384af088f3859d5640ad07d33a732d has been pushed to the review server.
It is available at http://review.typo3.org/1387
#4 - 2011-04-14 10:10 - Mr. Hudson

Patch set 4 of change I3bdff3dcd4384af088f3859d5640ad07d33a732d has been pushed to the review server.
It is available at http://review.typo3.org/1387

#5 - 2011-04-14 16:23 - Mr. Hudson

Patch set 5 of change I3bdff3dcd4384af088f3859d5640ad07d33a732d has been pushed to the review server.
It is available at http://review.typo3.org/1387

#6 - 2011-04-14 16:54 - Mr. Hudson

Patch set 6 of change I3bdff3dcd4384af088f3859d5640ad07d33a732d has been pushed to the review server.
It is available at http://review.typo3.org/1387

#7 - 2011-04-19 12:39 - Mr. Hudson

Patch set 7 of change I3bdff3dcd4384af088f3859d5640ad07d33a732d has been pushed to the review server.
It is available at http://review.typo3.org/1387

#8 - 2011-04-19 18:30 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:894d3b264e0f9ad97ab02d8dfd9d3b5e3e9b489c.
